Skip to main content
GET
/
v1
/
disputes
List Disputes
curl --request GET \
  --url https://api.spairehq.com/v1/disputes/ \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "resolved": true,
      "closed": true,
      "amount": 123,
      "tax_amount": 123,
      "currency": "<string>",
      "order_id": "<string>",
      "payment_id": "<string>"
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

order_id

Filter by order ID. The order ID.

status

Filter by dispute status.

Available options:
prevented,
early_warning,
needs_response,
under_review,
lost,
won
page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
amount,
-amount

Response

Successful Response

items
Dispute · object[]
required
pagination
Pagination · object
required